// (C) 2006 M. Derezynski

#include "taglib_modfiletyperesolver.h"
#include "modfile.h"

#include <src/audio.hh>

TagLib::File *MODFileTypeResolver::createFile (const char                        *filename,
                                               bool                               read_properties,
                                               TagLib::AudioProperties::ReadStyle properties_style) const 
{
    std::string type;

    std::cerr << " Checking for MOD file " << std::endl;
    
    if (!Bmp::Audio::typefind (filename, type)) return 0;

    if (type == "audio/x-mod")
    {
        TagLib::MOD::File *f = new TagLib::MOD::File(filename, read_properties, properties_style);
        if(f->isValid())
            return f;
        else
        {
            delete f;
        }
    }

    return 0;
}
